% This file is part of the OPTPDE problem collection
%                 http://www.optpde.net
% It is provided as is, without any warranty, under the 
%
% Creative Commons Attribution-NonCommercial ShareAlike 4.0 International
%
%         http://creativecommons.org/licenses/by-nc-sa/4.0/
%
% Please give proper credits when using this file by referencing the 
% collection. For this purpose detailed bibliography data is 
% available at the collections website 
%                  
%                 http://www.optpde.net
%
% This file contains data for the benchmark problem 
%                      hypini1
% from  2022-04-01 


% setup the problem
problem = setup_problem;

% generate a grid on the domain
x = linspace(-4,4,81);

% plot the desired state
figure(1); clf; hold on
val = yOmega(problem,x);
plot(x,val);
xlabel('x');
title('desired state y_\Omega');

% generate a grid on the space-time domain
[x,t] = meshgrid(linspace(-4,4,81),linspace(0,problem.T,41));

% plot the optimal state
figure(2); clf; hold on
val = supplementary_y(problem,x,t);
surf(x,t,val);
xlabel('x');
ylabel('t');
title('optimal state y');
view(3);

